commit:     ba1112ced0a46f7d8889afd789c4eb08b9d3229a
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 31 07:31:46 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jan 31 07:31:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba1112ce

dev-ruby/unicode-display_width: add 2.0.0

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/unicode-display_width/Manifest            |  1 +
 .../unicode-display_width-2.0.0.ebuild             | 29 ++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-ruby/unicode-display_width/Manifest 
b/dev-ruby/unicode-display_width/Manifest
index d92eee58c49..32f7a75bab7 100644
--- a/dev-ruby/unicode-display_width/Manifest
+++ b/dev-ruby/unicode-display_width/Manifest
@@ -1 +1,2 @@
 DIST unicode-display_width-1.7.0.tar.gz 10822 BLAKE2B 
c3db387b9d61ba4ea9d5559824b22e40f173f9e9bcf7fdad3dba1edc36b39ae90276818bd54e74a6731bd2cb8c48b28e440d07f7e3cedbd8dc13441f79a2b56c
 SHA512 
2b6d2b0118f4a2ad69e98fe2fac611ca94adc0dc59ad076083d0243c630a81a01d650965149a25feaf8986c262a5d55294e064361420e2140b53c5ced5fb1c77
+DIST unicode-display_width-2.0.0.tar.gz 11947 BLAKE2B 
4d145f2829922ac2c1681b9f058e218ee7120c1eeb6a440726d79ce8abd2f8bf5adf9f4112ff3de4dfa39f150c5c41bf2dd5458ba87585fca5558ef14355347f
 SHA512 
60ffb44f1685fa8c68b0bc13216fbd77c389840e5c7354428df3daa8ef59d640052210b9e92a54f81ae02f2ac132a8e79a90bad04ae5257a8828a7810b53e227

diff --git a/dev-ruby/unicode-display_width/unicode-display_width-2.0.0.ebuild 
b/dev-ruby/unicode-display_width/unicode-display_width-2.0.0.ebuild
new file mode 100644
index 00000000000..bb32c954264
--- /dev/null
+++ b/dev-ruby/unicode-display_width/unicode-display_width-2.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_GEMSPEC="unicode-display_width.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Adds String#display_width to get the display size using 
EastAsianWidth.txt"
+HOMEPAGE="https://github.com/janlelis/unicode-display_width";
+SRC_URI="https://github.com/janlelis/unicode-display_width/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~arm64"
+SLOT="$(ver_cut 1)"
+IUSE=""
+
+all_ruby_prepare() {
+       # Avoid experimental emoji support for now
+       sed -e '/\[emoji\]/,/^  end/ s:^:#:' \
+               -e '/Config object based API/,/^end/ s:^:#:' \
+               -i spec/display_width_spec.rb || die
+}

Reply via email to